Options +FollowSymLinks

RewriteEngine On    # Turn on the rewriting engine

RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f

RewriteRule ^([A-Za-z]+)/?$    index.php?module=$1    [QSA,NC,L]    # Process modules
RewriteRule ^(v[0-9])/([A-Za-z]+)/([A-Za-z]+)/([A-Za-z]+)/?$ index.php?&version=$1&module=$2&controller=$3&action=$4   [QSA,NC,L]    # Process modules with action
RewriteRule ^([A-Za-z]+)/([A-Za-z]+)/([A-Za-z]+)/?$ index.php?module=$1&controller=$2&action=$3   [QSA,NC,L]    # Process modules with action

RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]
